{
    "fields": [
        {
            "doc": "Sample Id (e.g, LP00012645_5GH))",
            "name": "sampleId",
            "type": "string"
        },
        {
            "doc": "Lab Sample Id",
            "name": "labSampleId",
            "type": "int"
        },
        {
            "doc": "Source",
            "name": "source",
            "type": [
                "null",
                {
                    "name": "SampleSource",
                    "symbols": [
                        "BLOOD",
                        "SALIVA",
                        "FIBROBLAST",
                        "TISSUE"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "Product",
            "name": "product",
            "type": [
                "null",
                {
                    "name": "Product",
                    "symbols": [
                        "DNA",
                        "RNA"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "preparationMethod",
            "name": "preparationMethod",
            "type": [
                "null",
                {
                    "name": "PreparationMethod",
                    "symbols": [
                        "EDTA",
                        "ORAGENE",
                        "FF",
                        "FFPE",
                        "CD128_SORTED_CELLS",
                        "ASPIRATE"
                    ],
                    "type": "enum"
                }
            ]
        }
    ],
    "name": "Sample",
    "namespace": "org.gel.models.participant.avro",
    "type": "record"
}